      subroutine brachk(bra,exists)                                     BRAC001
c ----------------------------------------------------------------------BRAC002
c     valid bravais - symbol ?                                          BRAC003
c ----------------------------------------------------------------------BRAC004
c     This program module is part of the PhysiSoft X-ray Library        BRAC005
c     and may not be sold or reproduced for commercial purposes.        BRAC006
c     Although it has been tested carefully, there is no warranty       BRAC007
c     regarding accuracy or freedom from side-effects.                  BRAC008
c                   (C) 1986-1990 Bernhard Rupp                         BRAC009
c ----------------------------------------------------------------------BRAC010
                                                                        BRAC011
      character bra                                                     BRAC012
      logical exists                                                    BRAC013
      IF(BRA.NE.'P'.AND.BRA.NE.'A'.AND.BRA.NE.'B'.AND.BRA.NE.'C'        BRAC014
     &.and.BRA.NE.'F'.AND.BRA.NE.'I'.AND.BRA.NE.'R') THEN               BRAC015
         exists=.false.                                                 BRAC016
      else                                                              BRAC017
         exists=.true.                                                  BRAC018
      endif                                                             BRAC019
      return                                                            BRAC020
      end                                                               BRAC021
                                                                        BRAC022
